#
# spec file for package ibus-table-zhengma
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ibus-table-zhengma
Version:        1.1.0.20090402
Release:        19.42
Summary:        ZhengMa input method for IBus
License:        GPL-2.0+
Group:          System/I18n/Chinese
Url:            https://code.google.com/p/ibus/
Source:         https://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:  ibus-table-devel
BuildRequires:  ibus-table-extraphrase-devel
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%ibus_table_requires

%description
Zheng Ma input method intergrated in IBus framework.

%prep
%setup -q
autoreconf -fi

%build
export PYTHON=python3
%configure --enable-extra-phrases
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%post
%ibus_table_index_post zhengma

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc docs/ZiGenBiao.pdf
%{_ibus_tabledir}/zhengma.db
%{_ibus_icondir}/zhengma.svg

%changelog
* Sat Jul 26 2014 i@marguerite.su
- ibus-table is now built with python3
- we need to port ibus-table-zhengma to python3 too
* Tue Jun 23 2009 tiwai@suse.de
- initial version: 1.1.0.20090402
